
// подключение библиотек для nokia 5110
#include <SPI.h>
#include <Adafruit_GFX.h>
#include <Adafruit_PCD8544.h>
// Nokia 5110
// pin 13 - Serial clock out (SCLK)
// pin 12 - Serial data out (DIN)
// pin 11 - Data/Command select (D/C)
// pin 10 - LCD chip select (CS)
// pin 8 - LCD reset (RST)
Adafruit_PCD8544 display = Adafruit_PCD8544(3, 4, 5, 6, 7);
// для периода опроса датчика
unsigned long millis1=0;
// пин подключения датчика
const int pinGYML8511=A0;
// пин подключения пьезо
const int pinPiezo=9;
// граничный уровень УФ-излучения
int limitUV=220;

void setup()
  {
  // запуск последовательного порта
  Serial.begin(9600);
  // инициализация дисплея
  display.begin();
  // установить контраст фона экрана
  display.setContrast(60);
  display.clearDisplay();       // очистить экран
  display.setTextSize(1);    // размер шрифта
  display.setTextColor(BLACK);   // цвет
  // заставка
  display.setCursor(10,5);   
  display.print("MAKERPLUS.RU"); 
  display.setCursor(30,15);   
  display.print("GYML8511"); 
  display.display();
  // пауза для заставки
  delay(4000);

  }
 
void loop() {
  // раз в 5 секунд
  if(millis()-millis1>=5000) {
     // вывод на дисплей
     display.clearDisplay();       // очистить экран
     display.setCursor(10,5);   
     display.print("MAKERPLUS.RU"); 
     display.setCursor(15,15);   
     display.print("UV level: "); 
     display.setCursor(35,25);   
     display.print(analogRead(pinGYML8511)); 
     display.display();
     millis1=millis();
     if(analogRead(pinGYML8511)>limitUV)
        tone(pinPiezo,523,2000);
  }
}
